package cc.smtweb.framework.core.db.jdbc;

/**
 * Created by Akmm at 14-2-3 下午4:52
 * 数据库事务操作方法类
 */
public interface IDbWorker {
    default void work() {
    }

    //数据库提交完后的业务或缓存处理
    default void doAfterDbCommit() {
    }

    //数据库回滚后的业务或缓存处理
    default void doAfterDbRollback() {
    }
}
